package cz.moneta.test.dsl.ufo.banka.pages.main.client.settings;

import cz.moneta.test.dsl.ufo.banka.pages.cards.debit.OBR003_S001_ClientContractSignPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.current.account.BUF001_S001_CurrentAccountPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.one.click.BAL032_S001_OneClickTomJuniorPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface ADR004_S001_EnterContactAddressPageTransitions extends WebFlow<ADR004_S001_EnterContactAddressPageTransitions> {

    EVY701_S001_StatementsDistributionPage onStatementsDistributionPage();

    BUF001_S001_CurrentAccountPage onCurrentAccountPage();

    OBR003_S001_ClientContractSignPage onClientContractSignPage();

    EVY003_S001_DistributionStatementsPage onDistributionStatementsPage();

    BAL032_S001_OneClickTomJuniorPage onOneClickTomJunior();

}
